<?php
    include "koneksi.php";

    $tanggal_sekarang = date("Y-m-d H:i:s");
    $new_datetime_jam_kelebihan = new DateTime('0000-00-00 01:07:30');
    $new_datetime_tanggal_sekarang = new DateTime($tanggal_sekarang);
    $format_tanggal_sekarang = $new_datetime_tanggal_sekarang->format('Y-m-d H:i:s');
    $format_jam_kelebihan = $new_datetime_jam_kelebihan->format('Y-m-d H:i:s');
    $diff_selisih_jam = $new_datetime_tanggal_sekarang->diff($new_datetime_jam_kelebihan);
    $format_diff_selisih_jam = $diff_selisih_jam->format("%Y-%m-%d %H:%I:%S");

    $kode_pemenang = $_POST['kode_pemenang'];
    $nama_pemenang = $_POST['nama_pemenang'];
    $whatsapp_pemenang = $_POST['whatsapp_pemenang'];
    $id_voucher_pemenang = $_POST['id_voucher_pemenang'];
    $id_hadiah_pemenang = $_POST['id_hadiah_pemenang'];
    $status_pemenang = $_POST['status_pemenang'];
    $proses = mysqli_query($koneksi, "INSERT INTO pemenang(kode_pemenang, nama_pemenang, whatsapp_pemenang, id_voucher_pemenang, id_hadiah_pemenang, tanggal_pemenang, status_pemenang) VALUES('$kode_pemenang', '$nama_pemenang', '$whatsapp_pemenang', '$id_voucher_pemenang', '$id_hadiah_pemenang', '$format_diff_selisih_jam', '$status_pemenang')");
    if ($proses) {
        $proses2 = mysqli_query($koneksi, "UPDATE voucher SET id_hadiah_voucher = '$id_hadiah_pemenang', status_voucher = 'Sudah Digunakan' WHERE id_voucher = '$id_voucher_pemenang'");
        if ($proses2) {
            header("location: index.php?page=pemenang&notif=berhasil_tambah_data");
        } else {
            echo "Proses Gagal<br>Error : ".$proses2."<br>".mysqli_error($koneksi);
        }
    } else {
        echo "Proses Gagal<br>Error : ".$proses."<br>".mysqli_error($koneksi);
    }
?>